# Uses of Interface
org.eclipse.emf.cdo.server.ISession

Packages that use ISession
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.lissome
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of ISession in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return ISession
Modifier and Type
Method
Description
`ISession`
ISynchronizableRepository.`getReplicatorSession()`
`static ISession`
CDOServerUtil.`getServerSession(CDOSession session)`
`static ISession`
CDOServerUtil.`getServerSession(CDOView view)`
`ISession`
ISessionManager.`getSession(int sessionID)`
`ISession`
IView.`getSession()`
`ISession[]`
ISessionManager.`getSessions()`
`ISession[]`
ITopic.`getSessions()`
Methods in org.eclipse.emf.cdo.server with parameters of type ISession
Modifier and Type
Method
Description
`abstract CDOPermission`
IRepositoryProtector.RevisionAuthorizer.`authorizeRevision(ISession session, IRepositoryProtector.UserInfo userInfo, CDOBranchPoint securityContext, CDORevisionProvider revisionProvider, CDORevision revision)`
`static void`
CDOServerUtil.`execute(ISession context, Runnable runnable)`
`CDOPermission`
IPermissionManager.`getPermission(CDORevision revision, CDOBranchPoint securityContext, ISession session)`
`IStoreAccessor`
IStore.`getReader(ISession session)`
Returns a reader that can be used to read from this store in the context of the given session.
`void`
CDOServerUtil.RepositoryReadAccessValidator.`handleRevisionsBeforeSending(ISession session, CDORevision[] revisions, List<CDORevision> additionalRevisions)`
`void`
IRepository.ReadAccessHandler.`handleRevisionsBeforeSending(ISession session, CDORevision[] revisions, List<CDORevision> additionalRevisions)`
Provides a way to handle revisions that are to be sent to the client.
`boolean`
IPermissionManager.`hasAnyRule(ISession session, Set<? extends Object> rules)`
`static CDOView`
CDOServerUtil.`openView(ISession session, CDOBranchPoint branchPoint)`
`static CDOView`
CDOServerUtil.`openView(ISession session, CDOBranchPoint branchPoint, boolean legacyModeEnabled)`
Deprecated.
As of 4.2 the legacy mode is always enabled, use `CDOServerUtil.openView(ISession, CDOBranchPoint)`.
`static CDOView`
CDOServerUtil.`openView(ISession session, CDOBranchPoint branchPoint, boolean legacyModeEnabled, CDORevisionProvider revisionProvider)`
Deprecated.
As of 4.2 the legacy mode is always enabled, use `CDOServerUtil.openView(ISession, CDOBranchPoint, CDORevisionProvider)`.
`static CDOView`
CDOServerUtil.`openView(ISession session, CDOBranchPoint branchPoint, CDORevisionProvider revisionProvider)`
`protected void`
CDOServerUtil.RepositoryReadAccessValidator.`throwException(ISession session, List<String> violations)`
`protected abstract String`
CDOServerUtil.RepositoryReadAccessValidator.`validate(ISession session, CDORevision revision)`
`static Runnable`
StoreThreadLocal.`wrap(ISession session, Runnable runnable)`
`static <T> Callable<T>`
StoreThreadLocal.`wrap(ISession session, Callable<T> callable)`
Method parameters in org.eclipse.emf.cdo.server with type arguments of type ISession
Modifier and Type
Method
Description
`static void`
CDOServerUtil.`execute(CDOSession context, Consumer<ISession> consumer)`

## Uses of ISession in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db with parameters of type ISession
Modifier and Type
Method
Description
`IDBStoreAccessor`
IDBStore.`getReader(ISession session)`

## Uses of ISession in org.eclipse.emf.cdo.server.lissome

Methods in org.eclipse.emf.cdo.server.lissome with parameters of type ISession
Modifier and Type
Method
Description
`ILissomeStoreAccessor`
ILissomeStore.`getReader(ISession session)`

## Uses of ISession in org.eclipse.emf.cdo.spi.server

Subinterfaces of ISession in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalSession`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.server that return types with arguments of type ISession
Modifier and Type
Method
Description
`protected org.eclipse.net4j.util.security.operations.OperationAuthorizer<ISession>`
RepositoryConfigurator.`getOperationAuthorizer(String type, String description)`
Methods in org.eclipse.emf.cdo.spi.server with parameters of type ISession
Modifier and Type
Method
Description
`protected abstract IStoreAccessor`
Store.`createReader(ISession session)`
Creates and returns a new `IStoreAccessor` instance.
`protected String`
RepositoryActivityLog.`formatSession(ISession session)`
`protected String`
RepositoryActivityLog.`formatUser(ISession session)`
`IStoreAccessor`
Store.`getReader(ISession session)`
`protected abstract StoreAccessorPool`
Store.`getReaderPool(ISession session, boolean forReleasing)`
Returns a `pool` that may contain `IStoreAccessor` instances that are compatible with the given session.
`IView`
InternalLockManager.`openView(ISession session, int viewID, boolean readOnly, String durableLockingID)`
Deprecated.
`void`
InternalLockManager.`openView(ISession session, int viewID, boolean readOnly, String durableLockingID, Consumer<IView> viewConsumer, BiConsumer<CDOID,IDurableLockingManager.LockGrade> lockConsumer)`
`protected void`
RepositoryActivityLog.`sessionClosed(ISession session, int concurrentSessions)`
`protected void`
RepositoryActivityLog.`sessionOpened(ISession session, int concurrentSessions, int sessions)`
Method parameters in org.eclipse.emf.cdo.spi.server with type arguments of type ISession
Modifier and Type
Method
Description
`void`
InternalRepository.`addOperationAuthorizer(org.eclipse.net4j.util.security.operations.OperationAuthorizer<ISession> operationAuthorizer)`
Constructors in org.eclipse.emf.cdo.spi.server with parameters of type ISession
Modifier
Constructor
Description
`protected`
`LongIDStoreAccessor(Store store, ISession session)`
`protected`
`StoreAccessor(Store store, ISession session)`
`protected`
`StoreAccessorBase(Store store, ISession session)`